# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build

# Utility rule file for ssl.doc.html.

# Include any custom commands dependencies for this target.
include packages/ssl/CMakeFiles/ssl.doc.html.dir/compiler_depend.make

# Include the progress variables for this target.
include packages/ssl/CMakeFiles/ssl.doc.html.dir/progress.make

packages/ssl/CMakeFiles/ssl.doc.html: packages/ssl/ssl.html

packages/ssl/ssl.html: packages/ssl/ssl.tex
packages/ssl/ssl.html: packages/ssl/crypto.tex
packages/ssl/ssl.html: packages/ssl/ssllib.tex
packages/ssl/ssl.html: packages/ssl/cryptolib.tex
packages/ssl/ssl.html: packages/ssl/saml.tex
packages/ssl/ssl.html: packages/ssl/xmldsig.tex
packages/ssl/ssl.html: packages/ssl/xmlenc.tex
packages/ssl/ssl.html: packages/ssl/ssl.tex
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Generating ssl.html"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library/latex2html/latex2html.pl -- --quiet ssl
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && /usr/pkg/bin/cmake -E remove /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/doc/manindex.db

packages/ssl/crypto.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/crypto.doc
packages/ssl/crypto.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/man/doc2tex.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Generating crypto.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/man/doc2tex.pl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/crypto.doc crypto.tex

packages/ssl/cryptolib.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/cryptolib.md
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Generating cryptolib.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl -x /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/man/pldoc2tex -- --out=cryptolib.tex --section --lib=crypto --module=crypto /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/cryptolib.md

packages/ssl/saml.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/saml.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Generating saml.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl -x /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/man/pldoc2tex -- --out=saml.tex --subsection "library('saml')"

packages/ssl/ssl.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/ssl.doc
packages/ssl/ssl.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/man/doc2tex.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Generating ssl.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/man/doc2tex.pl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/ssl.doc ssl.tex

packages/ssl/ssllib.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/ssl.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Generating ssllib.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl -x /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/man/pldoc2tex -- --out=ssllib.tex --section "library('ssl')"

packages/ssl/xmldsig.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/xmldsig.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Generating xmldsig.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl -x /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/man/pldoc2tex -- --out=xmldsig.tex --subsection "library('xmldsig')"

packages/ssl/xmlenc.tex: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl/xmlenc.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Generating xmlenc.tex"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && ../../src/swipl -x /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/man/pldoc2tex -- --out=xmlenc.tex --subsection "library('xmlenc')"

home/library/saml.pl: home/library/.created
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Generating ../../home/library/saml.pl"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library && /usr/pkg/bin/cmake -E create_symlink ../../../packages/ssl/saml.pl ./saml.pl

home/library/ssl.pl: home/library/.created
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Generating ../../home/library/ssl.pl"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library && /usr/pkg/bin/cmake -E create_symlink ../../../packages/ssl/ssl.pl ./ssl.pl

home/library/xmldsig.pl: home/library/.created
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Generating ../../home/library/xmldsig.pl"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library && /usr/pkg/bin/cmake -E create_symlink ../../../packages/ssl/xmldsig.pl ./xmldsig.pl

home/library/xmlenc.pl: home/library/.created
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Generating ../../home/library/xmlenc.pl"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library && /usr/pkg/bin/cmake -E create_symlink ../../../packages/ssl/xmlenc.pl ./xmlenc.pl

home/library/.created:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Generating ../../home/library/.created"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && /usr/pkg/bin/cmake -E make_directory /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && touch -t 200001010000 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/home/library/.created

ssl.doc.html: home/library/.created
ssl.doc.html: home/library/saml.pl
ssl.doc.html: home/library/ssl.pl
ssl.doc.html: home/library/xmldsig.pl
ssl.doc.html: home/library/xmlenc.pl
ssl.doc.html: packages/ssl/CMakeFiles/ssl.doc.html
ssl.doc.html: packages/ssl/crypto.tex
ssl.doc.html: packages/ssl/cryptolib.tex
ssl.doc.html: packages/ssl/saml.tex
ssl.doc.html: packages/ssl/ssl.html
ssl.doc.html: packages/ssl/ssl.tex
ssl.doc.html: packages/ssl/ssllib.tex
ssl.doc.html: packages/ssl/xmldsig.tex
ssl.doc.html: packages/ssl/xmlenc.tex
ssl.doc.html: packages/ssl/CMakeFiles/ssl.doc.html.dir/build.make
.PHONY : ssl.doc.html

# Rule to build all files generated by this target.
packages/ssl/CMakeFiles/ssl.doc.html.dir/build: ssl.doc.html
.PHONY : packages/ssl/CMakeFiles/ssl.doc.html.dir/build

packages/ssl/CMakeFiles/ssl.doc.html.dir/clean:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl && $(CMAKE_COMMAND) -P CMakeFiles/ssl.doc.html.dir/cmake_clean.cmake
.PHONY : packages/ssl/CMakeFiles/ssl.doc.html.dir/clean

packages/ssl/CMakeFiles/ssl.doc.html.dir/depend:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/ssl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/ssl/CMakeFiles/ssl.doc.html.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : packages/ssl/CMakeFiles/ssl.doc.html.dir/depend

